/*
 *  BaseAppleEvent.h
 *  BaseFunction
 *
 *  Created by pyang on 05-8-2.
 *  Copyright 2005 __MyCompanyName__. All rights reserved.
 *
 */
#ifndef	__BASEAPPLEEVENT__
#define	__BASEAPPLEEVENT__
#pragma once
#pragma export on
#ifdef __cplusplus
extern "C" {
#endif


const OSType	kFinderFileType			= 'FNDR';
const OSType	kFinderCreatorType		= 'MACS';
const OSType	kFinderProcessType		= 'FNDR';
const OSType	kFinderProcessSignature	= 'MACS';


EXTERN_API(void)	AENullDesc(AEDesc* pDesc);
EXTERN_API(void)	AEDisposeAndNullDesc(AEDesc* pDesc);
EXTERN_API(OSErr)	AECreateProcessTarget(ProcessSerialNumber* pPSN, AEDesc* pAppleEvent);
EXTERN_API(OSErr)	AECreateAliasDescFromFSRef(const FSRef* pFSRef,AEDesc *pAliasAEDesc);
EXTERN_API(OSErr)	AECreatePropertyObject(const DescType pPropertyType,AEDesc *pContainerAEDesc,AEDesc *propertyObjPtr);
EXTERN_API(OSStatus)AECreateObjSpecifierFromFSRef(const FSRef* pFSRef,AEDesc *pObjSpecifier);
EXTERN_API(OSErr)	AESendEvent(const AppleEvent* pAppleEvent);
EXTERN_API(OSErr)	AEPutFilesInAppleEvent(ItemCount nFile,const FSRef* pFSRef, AppleEvent* pAppleEvent);

EXTERN_API(OSErr)	AECreateAppleEventSignatureTarget(	OSType pType,OSType pCreator,AEEventClass pAEEventClass,
														AEEventID pAEEventID,AppleEvent* pAppleEvent);
														
EXTERN_API(OSErr)	AECreateAppleEventProcessTarget(const ProcessSerialNumberPtr psnPtr,AEEventClass pAEEventClass,
													AEEventID pAEEventID,AppleEvent* pAppleEvent);
EXTERN_API(OSErr)	AEGetCFStringFromDescriptor(const AEDesc* pAEDesc, CFStringRef* pCFStringRef);
EXTERN_API(OSErr)	AEGetFinderAddress(AEAddressDesc* pOutFinderAddress);
EXTERN_API(OSErr)	AECreateAEDescFromCFString(CFStringRef pCFStringRef,AEDesc* pAEDesc);
EXTERN_API(OSErr)	AEAddAliasParameterFromFSRef(const FSRef* pFSRef,const DescType pKeyword,AERecord *pAERecord);
EXTERN_API(OSErr)	AESendEventReturnAEDesc(const AppleEvent *pAppleEvent,DescType pDescType,AEDesc	*pAEDesc);
													
#ifdef __cplusplus
}
#endif
#pragma export off
#endif //__BASEAPPLEEVENT__