/*
 *  BaseCGContext.h
 *  BaseFunction
 *
 *  Created by pyang on 05-9-12.
 *  Copyright 2005 __MyCompanyName__. All rights reserved.
 *
 */

#ifndef	__BASECGCONTEXT__
#define	__BASECGCONTEXT__
#pragma once
#pragma export on
#ifdef __cplusplus
extern "C" {
#endif
// rect
EXTERN_API(void)	CGFrameRect(CGContextRef context, CGRect r);
EXTERN_API(void)	CGPaintRect(CGContextRef context, CGRect r);
EXTERN_API(void)	CGFillRoundedRect(CGContextRef context, CGRect rect, float rectangleWidth, float rectangleHeight);
EXTERN_API(void)	CGStrokeRoundedRect(CGContextRef context, CGRect rect, float rectangleWidth, float rectangleHeight);

// oval
EXTERN_API(void)	CGFrameOval(CGContextRef context, CGRect r);
EXTERN_API(void)	CGPaintOval(CGContextRef context, CGRect r);

// arc
EXTERN_API(void)	CGFrameArc(CGContextRef context, CGRect r, int startAngle, int arcAngle);
EXTERN_API(void)	CGPaintArc(CGContextRef context, CGRect r, int startAngle, int arcAngle);

// line 
EXTERN_API(void)	CGDrawLine(CGContextRef context,CGPoint point[],size_t count);

#ifdef __cplusplus
}
#endif
#pragma export off
#endif //__BASECGCONTEXT__