/*
 *  BaseProcesses.h
 *  BaseFunction
 *
 *  Created by pyang on 05-8-2.
 *  Copyright 2005 __Arcsoft__. All rights reserved.
 *
 */
#ifndef	__BASEPROCESS__
#define	__BASEPROCESS__
#pragma once
#pragma export on
#ifdef __cplusplus
extern "C" {
#endif

EXTERN_API(OSStatus) GetProcessesLocation(const ProcessSerialNumber *pPSN,FSRef* pFSRef);
#define GetCurrentProcessLocation(pFSRef) GetProcessLocation(NULL,pFSRef)
EXTERN_API(OSStatus) GetProcessName(ProcessSerialNumber *pPSN,CFStringRef* pName);
#define GetCurrentProcessName(pName) GetProcessName(NULL,pName)

EXTERN_API(OSStatus) GetProcessByCreator(const OSType creator,ProcessSerialNumber *pPSN);
EXTERN_API(OSStatus) GetProcessBySignature(OSType inSignature,OSType inType,ProcessSerialNumber *pPSN);

#ifdef __cplusplus
}
#endif
#pragma export off
#endif //__BASEPROCESS__