/*
 *  BaseVolume.h
 *  BaseFunction
 *
 *  Created by pyang on 05-8-2.
 *  Copyright 2005 __Arcsoft__. All rights reserved.
 *
 */
#ifndef	__BASEVOLUME__
#define	__BASEVOLUME__
#pragma once
#pragma export on

#ifdef __cplusplus
extern "C" {
#endif

#define kAudioCDFileSystemID			(UInt16)(('J' << 8) | 'H' )
#define kNetworkDiskFileSystemID		(UInt16)(('a' << 8) | 's' )
	
	
EXTERN_API(OSErr)		FSVolumeGetVInfo(	FSVolumeRefNum volume,
											HFSUniStr255 *volumeName,	/* can be NULL */
											UInt64 *freeBytes,	/* can be NULL */
											UInt64 *totalBytes,/* can be NULL */
											FSRef* pFSRef);/* can be NULL */
											
#define FSVolumeGetFSRef(volume,pFSRef)		FSVolumeGetVInfo(volume,NULL,NULL,NULL,pFSRef)
											
typedef Boolean (*EnumVolumeProcPtr)(const FSRef* pVolume,const FSVolumeInfo* pVolumeInfo,void* pParam);
EXTERN_API(OSErr)		FSEnumMountedVolumes(FSVolumeInfoBitmap volumeInfoBitmap,EnumVolumeProcPtr pEnumVolumeProc,void* pParam);

typedef Boolean (*EnumVolumeFileCallbackPtr)(ItemCount nRefNum, const FSRef* pFSRef, const FSCatalogInfo* pCatalogInfo,void* pParam);// if callback return false, the enumProcess will end 
EXTERN_API(OSErr)		FSEnumVoumeFile(FSVolumeRefNum volume,FSCatalogInfoBitmap	catalogInfo,EnumVolumeFileCallbackPtr pEnumFileProc,void* pParam);
											

enum 
{
	kUnknownDriver = 0,
	KIoMediaDriver = 1,
	kRemovableDirver,
	kCDDriver,
	kDVDDriver
};
enum
{
	kWritable = 0x0000001,
	kEjectable = 0x0000010,
};

struct VolumeInfo
{
	long volumeType;
	long volumeProp;
};

EXTERN_API(OSErr) FSGetVolumeDriverType(FSVolumeRefNum volumeRef,VolumeInfo* pVolumeInfo);

#ifdef __cplusplus
}
#endif

#pragma export off
#endif //__BASEVOLUME__