/*
 *  CBaseControl.h
 *  BaseFunction
 *
 *  Created by pyang on 05-10-20.
 *  Copyright 2005 __MyCompanyName__. All rights reserved.
 *
 */
#ifndef _H_BASECONTROL_
#define _H_BASECONTROL_
class CBaseControl
{
public:
	CBaseControl();
	virtual ~CBaseControl();
	void		AttachControl(ControlRef pControl){ m_pControl = pControl;}
	OSErr		EmbedControl(ControlRef pContainer)const;
	ControlRef	GetControl()const{ return m_pControl;}
	void		SizeControl(SInt16 width, SInt16 height)const;
	void		MoveControl(SInt16 hor, SInt16 ver)const;
	Boolean		GetControlBounds(Rect* pBounds)const;
	void		SetControlBounds(const Rect* pBounds)const;
	void		SetControlKeyFocus()const;
	void		ShowControl(Boolean bShow)const;
	void		EnableControl(Boolean bEnable)const;
	void		ActivateControl(Boolean bActive)const;
	void		SetControlTitle(CFStringRef pTitle)const;
	CFStringRef	CopyControlTitle()const;
	Boolean		IsControlEnabled()const;
	Boolean		IsControlVisible()const;
	Boolean		IsControlActive()const;
	OSErr		InstallEventHandler(	EventHandlerUPP        inHandler,
										UInt32                 inNumTypes,
										const EventTypeSpec *  inList,
										void *                 inUserData);
protected:
	ControlRef	m_pControl;
};
#endif //_H_BASECONTROL_